Index: texlive/texlive-20170520-source/texk/web2c/pdftexdir/pdftosrc.cc
===================================================================
--- texlive.orig/texlive-20170520-source/texk/web2c/pdftexdir/pdftosrc.cc
+++ texlive/texlive-20170520-source/texk/web2c/pdftexdir/pdftosrc.cc
@@ -63,7 +63,7 @@ int main(int argc, char *argv[])
     Stream *s;
     Object srcStream, srcName, catalogDict;
     FILE *outfile;
-    char *outname;
+    const char *outname;
     int objnum = 0, objgen = 0;
     bool extract_xref_table = false;
     int c;
Index: texlive/texlive-20170520-source/texk/web2c/pdftexdir/pdftoepdf.cc
===================================================================
--- texlive.orig/texlive-20170520-source/texk/web2c/pdftexdir/pdftoepdf.cc
+++ texlive/texlive-20170520-source/texk/web2c/pdftexdir/pdftoepdf.cc
#@@ -306,7 +306,7 @@ static int getNewObjectNumber(Ref ref)
# 
# static void copyObject(Object *);
# 
#-static void copyName(char *s)
#+static void copyName(const char *s)
# {
#     pdf_puts("/");
#     for (; *s != 0; s++) {
@@ -318,7 +318,7 @@ static void copyName(char *s)
     }
 }
 
-static void copyDictEntry(Object * obj, int i)
+static void copyDictEntry(const Object * obj, int i)
 {
     Object obj1;
     copyName(obj->dictGetKey(i));
#@@ -328,7 +328,7 @@ static void copyDictEntry(Object * obj,
#     pdf_puts("\n");
# }
# 
#-static void copyDict(Object * obj)
#+static void copyDict(const Object * obj)
# {
#     int i, l;
#     if (!obj->isDict())
@@ -338,7 +338,7 @@ static void copyDict(Object * obj)
         copyDictEntry(obj, i);
 }
 
-static void copyFontDict(Object * obj, InObj * r)
+static void copyFontDict(const Object * obj, InObj * r)
 {
     int i, l;
     const char *key;
@@ -394,7 +394,7 @@ static void copyProcSet(Object * obj)
     return false;
 }
 
-static void copyFont(char *tag, Object * fontRef)
+static void copyFont(const char *tag, Object * fontRef)
 {
     Object fontdict, subtype, basefont, fontdescRef, fontdesc, charset,
         stemV;
#@@ -473,7 +473,7 @@ static void copyFontResources(Object * o
#     pdf_puts(">>\n");
# }
# 
#-static void copyOtherResources(Object * obj, char *key)
#+static void copyOtherResources(Object * obj, const char *key)
# {
#     // copies all other resources (write_epdf handles Fonts and ProcSets),
# 
@@ -560,7 +560,7 @@ static void copyObject(Object * obj)
     Object obj1;
     int i, l, c;
     Ref ref;
-    char *p;
+    const char *p;
     const GString *s;
     if (obj->isBool()) {
         pdf_printf("%s", obj->getBool()? "true" : "false");
@@ -664,7 +664,7 @@ static void writeRefs()
 static void writeEncodings()
 {
     UsedEncoding *r, *n;
-    char *glyphNames[256];
+    const char *glyphNames[256];
     const char *s;
     int i;
     for (r = encodingList; r != 0; r = r->next) {
#@@ -692,7 +692,7 @@ static void writeEncodings()
# }
# 
# // get the pagebox according to the pagebox_spec
#-static PDFRectangle *get_pagebox(Page * page, int pagebox_spec)
#+static const PDFRectangle *get_pagebox(Page * page, int pagebox_spec)
# {
#     if (pagebox_spec == pdfboxspecmedia)
#         return page->getMediaBox();
#@@ -724,7 +724,7 @@ read_pdf_info(char *image_name, char *pa
# {
#     PdfDocument *pdf_doc;
#     Page *page;
#-    PDFRectangle *pagebox;
#+    const PDFRectangle *pagebox;
# #ifdef POPPLER_VERSION
#     int pdf_major_version_found, pdf_minor_version_found;
# #else
#@@ -842,7 +842,7 @@ void write_epdf(void)
#     PdfObject groupDict;
#     bool writeSepGroup = false;
#     Object info;
#-    char *key;
#+    const char *key;
#     char s[256];
#     int i, l;
#     int rotate;
#@@ -869,7 +869,7 @@ void write_epdf(void)
#     xref->fetch(pageRef->num, pageRef->gen, &pageObj);
#     pageDict = pageObj->getDict();
#     rotate = page->getRotate();
#-    PDFRectangle *pagebox;
#+    const PDFRectangle *pagebox;
#     // write the Page header
#     pdf_puts("/Type /XObject\n");
#     pdf_puts("/Subtype /Form\n");
Index: texlive/texlive-20170520-source/texk/web2c/pdftexdir/writeenc.c
===================================================================
--- texlive.orig/texlive-20170520-source/texk/web2c/pdftexdir/writeenc.c
+++ texlive/texlive-20170520-source/texk/web2c/pdftexdir/writeenc.c
@@ -83,7 +83,7 @@
 
 /**********************************************************************/
 
-void epdf_write_enc(char **glyph_names, int fe_objnum)
+void epdf_write_enc(const char **glyph_names, int fe_objnum)
 {
     int i, i_old;
     assert(glyph_names != NULL);
@@ -107,7 +107,7 @@
     pdfenddict();
 }
 
-static void write_enc(char **glyph_names, struct avl_table *tx_tree, int fe_objnum)
+static void write_enc(const char **glyph_names, struct avl_table *tx_tree, int fe_objnum)
 {
     int i_old, *p;
     struct avl_traverser t;
Index: texlive/texlive-20170520-source/texk/web2c/pdftexdir/pdftex-common.h
===================================================================
--- texlive.orig/texlive-20170520-source/texk/web2c/pdftexdir/pdftex-common.h
+++ texlive/texlive-20170520-source/texk/web2c/pdftexdir/pdftex-common.h
@@ -101,7 +101,7 @@
 extern void write_epdf(void);
 
 /* writeenc.c */
-extern void epdf_write_enc(char **, int);
+extern void epdf_write_enc(const char **, int);
 
 /* writeimg.c */
 extern float epdf_width;
